# I3DExExportFilter Struct Reference
[External Interfaces]

Inheritance diagram for I3DExExportFilter:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | Prepare (I3DShScene *scene, I3DShTreeElement *fatherTree)=0
virtual boolean MCCOMAPI | WantsOptionDialog ()=0
virtual MCCOMErr MCCOMAPI | NeededDiskSpace (IMCFile *file, I3DShScene *scene, I3DShTreeElement *fatherTree, uint32 *diskSpace)=0
virtual MCCOMErr MCCOMAPI | DoExport (IMCFile *file, I3DShScene *scene, I3DShTreeElement *fatherTree)=0
virtual boolean MCCOMAPI | WantsPreview ()=0
virtual MCCOMErr MCCOMAPI | GetPreviewSize (int16 *sizeh, int16 *sizev)=0
virtual MCCOMErr MCCOMAPI | SetPreview (TMCPixelBucket *preview)=0
virtual boolean MCCOMAPI | WantsTempFile ()=0
virtual boolean MCCOMAPI | WantToSaveParameters ()=0

## Detailed Description

An export filter is a plugin that can save a scene or part of a scene to a file format different from the Carrara file format.

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I3DExExportFilter::DoExport | ( | IMCFile * | file,
|  | I3DShScene * | scene,
|  | I3DShTreeElement * | fatherTree |
| ) |  |  | `[pure virtual]`

Exports the subtree pointed by fatherTree into a file.

Parameters:

  | file | A pointer to the file that should be written
  | scene | The scene that contains the geometry that will be exported.
  | fatherTree | The root of the sub tree that needs to be exported. (It should never be NULL)

Implemented in TBasic3DExportFilter.

virtual MCCOMErr MCCOMAPI I3DExExportFilter::GetPreviewSize | ( | int16 * | sizeh,
|  | int16 * | sizev |
| ) |  |  | `[pure virtual]`

Returns the size of the preview.

Parameters:

  | sizeh | Horizontal size of the preview in pixels
  | sizev | Vertical size of the preview in pixels

Implemented in TBasic3DExportFilter.

virtual MCCOMErr MCCOMAPI I3DExExportFilter::NeededDiskSpace | ( | IMCFile * | file,
|  | I3DShScene * | scene,
|  | I3DShTreeElement * | fatherTree,
|  | uint32 * | diskSpace |
| ) |  |  | `[pure virtual]`

Returns the amount of disk space that is necessary to perform the export. This method is not used at this point.

Implemented in TBasic3DExportFilter.

virtual boolean MCCOMAPI I3DExExportFilter::Prepare | ( | I3DShScene * | scene,
|  | I3DShTreeElement * | fatherTree |
| ) |  |  | `[pure virtual]`

Is called before the actual export starts. Usually you do not need to implement this method.

Parameters:

  | scene | The scene from which we export.
  | fatherTree | A pointer to the top of the tree that should be exported.

Implemented in TBasic3DExportFilter.

virtual MCCOMErr MCCOMAPI I3DExExportFilter::SetPreview | ( | TMCPixelBucket * | preview | ) | `[pure virtual]`

Sets the rendered preview of the scene. The Shell will call this method if WantsPreview() returned true.

Parameters:

  | preview | A pointer to a pixelBucket that contains the rendered preview of the scene.

Implemented in TBasic3DExportFilter.

virtual boolean MCCOMAPI I3DExExportFilter::WantsOptionDialog | ( |  | ) | `[pure virtual]`

Returns true if an option dialog should be opened.

Implemented in TBasic3DExportFilter.

virtual boolean MCCOMAPI I3DExExportFilter::WantsPreview | ( |  | ) | `[pure virtual]`

Returns true if the exporter wants a preview of the scene included in the file. If you return true, then the Shell calls SetPreview with the corresponding image.

Implemented in TBasic3DExportFilter.

virtual boolean MCCOMAPI I3DExExportFilter::WantsTempFile | ( |  | ) | `[pure virtual]`

Returns true if the you want to use a temporary file, false otherwise.

When you use a temporary file, the Shell will pass a file finishing '.tmp' to DoExport and then rename that file will the correct extension specified by your exporter resource. This is done so that you do not corrupt a preexisting file if there is an error during the export.

Implemented in TBasic3DExportFilter.

virtual boolean MCCOMAPI I3DExExportFilter::WantToSaveParameters | ( |  | ) | `[pure virtual]`

Return true if you want the parameters of this exporter to be saved in the Carrara scene file.

Implemented in TBasic3DExportFilter.

The documentation for this struct was generated from the following file:

- I3dExImportExport.h